Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1355917 - cloud-init uses /usr/sbin/run-parts which pulls in cron
Summary: cloud-init uses /usr/sbin/run-parts which pulls in cron
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cloud-init
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Garrett Holmstrom
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-13 01:28 UTC by Colin Walters
Modified: 2016-10-14 19:35 UTC (History)
8 users (show)

Fixed In Version: cloud-init-0.7.8-1.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-14 19:35:52 UTC


Attachments (Terms of Use)

Description Colin Walters 2016-07-13 01:28:32 UTC
On a modern systemd system there's no reason to have cron by default; the timer functionality obsoletes it.  But: 

# rpm -q --whatrequires /usr/bin/run-parts
cloud-init-0.7.6-8.20150813bzr1137.fc24.noarch

Comment 1 Lars Kellogg-Stedman 2016-07-13 13:36:14 UTC
It doesn't appear that cloud-init even uses run-parts (anymore?):

  $ dnf download --source cloud-init
  $ rpmbuild --nodeps -rp cloud-init-0.7.6-5.20140218bzr1060.fc23.src.rpm
  $ cd ~/rpmbuild/BUILD/cloud-init-0.7.6-bzr1060/
  $ grep -lri run-parts
  doc/var-lib-cloud.txt

This functionality seems to have been replaced by cloudinit.utils.runparts.

Comment 2 Fedora Update System 2016-10-01 22:22:30 UTC
cloud-init-0.7.8-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-29841e9048

Comment 3 Fedora Update System 2016-10-14 19:35:52 UTC
cloud-init-0.7.8-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.